Package Details: fish-z-git 1.1.r58.g45a9ff6-2

Git Clone URL: https://aur.archlinux.org/fish-z-git.git (read-only, click to copy)
Package Base: fish-z-git
Description: Fish port of z, for directory jumping
Upstream URL: https://github.com/jethrokuan/z
Keywords: cd fish-shell z
Licenses: MIT
Conflicts: fish-z, z, zoxide
Provides: fish-z, z
Submitter: lmartinez-mirror
Maintainer: None
Last Packager: lmartinez-mirror
Votes: 2
Popularity: 0.000330
First Submitted: 2021-04-11 08:13 (UTC)
Last Updated: 2021-11-03 23:43 (UTC)

Required by (0)

Sources (1)

Latest Comments

lmartinez-mirror commented on 2021-11-03 23:45 (UTC)

Thanks for the feedback. I've reverted the version requirement. Hope this helps!

rien333 commented on 2021-11-03 06:56 (UTC) (edited on 2021-11-03 06:57 (UTC) by rien333)

Thanks for updating the PKGBUILD! However, it now isn't compatible with the the fish-git package anymore (it was before), probably because you need fish>=2.7.

Why? Idk, maybe the whole number comparison thing is broken, maybe the fish-git package versioning is not great. In any case, its probably best to remove the version requirement. It makes very little sense in the context of Arch linux anyway, because an user would have to go out of its way to maintain a very old (2.6) version of fish in an ABS context. Its safe to say that going out of your way to run an old version is not officially supported, certainly not on a rolling release distro.